summaryrefslogtreecommitdiffstats
path: root/source/l/qt5/qt5.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/qt5/qt5.SlackBuild')
-rwxr-xr-xsource/l/qt5/qt5.SlackBuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/source/l/qt5/qt5.SlackBuild b/source/l/qt5/qt5.SlackBuild
index 2edffbfaf..635083bfc 100755
--- a/source/l/qt5/qt5.SlackBuild
+++ b/source/l/qt5/qt5.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2019, 2020, 2021, 2022 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2019, 2020, 2021, 2022, 2023 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -145,6 +145,9 @@ cd qtwebengine/src/3rdparty
zcat $CWD/patches/qt5-webengine-ffmpeg5.patch.gz | patch -p1 --verbose || exit 1
cd - 1>/dev/null
+# Fix build with gcc13:
+zcat $CWD/0001-Fixes-for-building-with-GCC-13.patch.gz | patch -p1 --verbose || exit 1
+
# CMake generates wrong -isystem /usr/include compilations flags with Qt5::Gui
# and for it breaks KWin compilation with:
# /usr/include/c++/9.1.0/cstdlib:75:15: fatal error: stdlib.h: No such file or directory